import { OnInit, SimpleChanges, OnChanges } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import 'datatables.net';
import '@progress/kendo-ui';
import { AlertService } from './alert.service';
import { UserService } from '../common/UserService';
import { Observable } from 'rxjs';
import { IProperties } from './IProperties';
export declare class SPXAlertComponent implements OnInit, OnChanges {
    private http;
    private service;
    private userService;
    siteCollUrl: string;
    webId: string;
    alertList: string;
    alerts: any;
    token: number;
    ALTableId: string;
    currentUser: string;
    siteUsers: any[];
    userColumns: any[];
    targetColumns: any[];
    subColumns: any[];
    showCcDrop: boolean;
    alertHeader: any;
    newSelector: any;
    editSelector: any;
    properties: IProperties;
    hasWpIdColumn: boolean;
    dataTable: any;
    constructor(http: HttpClient, service: AlertService, userService: UserService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    checkForWPColumn(): Observable<boolean>;
    initDataTable(): void;
    showAlerts(): void;
    setUpOnClick(alertResults: any[]): void;
    seeUsers(id: any): void;
    addUser(choice: any, id: any, inputId: any): void;
    addSub(choice: any, id: any, inputId: any): void;
    rmUserModal(): void;
    grabCurrentUser(): void;
    createNewAlert(): void;
    showNewModal(): void;
    showDailyOptions(event: any): void;
    showDailyOptionsEdit(event: any): void;
    newBodyModal(): void;
    private setupEditor(targetColumns);
    saveAlert(): boolean;
    showEditModal(): void;
    editBodyModal(): void;
    setupEditEditor(targetColumns: any): void;
    updateAlert(): boolean;
    cancel(): boolean;
    spinnerOn(): void;
    spinnerOff(): void;
}
